﻿Type=Activity
Version=5.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: true
	#IncludeTitle: false
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	'This library is intended for About Screen.
	Private lstAbout As CustomListView3
	Private p As PhoneIntents
	'Dim ph As PhoneCalls
	
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:

	InitListView
	
End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub InitListView
	lstAbout.Initialize(Me, "lstAbout")
	Activity.AddView(lstAbout.AsView, 0, 0, 100%x, 100%y)
	
	lstAbout.SetTextBackgroundMenuColor(Colors.White)
	lstAbout.SetTextBackgroundColor(Colors.White)
	
	lstAbout.SetTextFontMenuColor(Colors.Blue)
	lstAbout.SetTextFontColor(Colors.Black)
	lstAbout.SetText2FontColor(Colors.Gray)
	
	lstAbout.SetTextFontMenuSize(16)
	lstAbout.SetText2FontMenuSize(16)
	
	lstAbout.SetTextFontSize(14)
	lstAbout.SetText2FontSize(14)
	
	lstAbout.SetDividerColor(Colors.Gray)
	lstAbout.SetDividerHeight(1)
	
	
	lstAbout.AddTextItem(CRLF & "CONTACT US", 					  "", 	 "", 			"", 			"", 		 Gravity.LEFT + Gravity.BOTTOM, Gravity.LEFT, True, False)
	lstAbout.AddTextItem("1-800-Number",  		  				  "", 	"lvPhone", 		"PHONE", 		Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)	
	lstAbout.AddTextItem("www.obdscantech.com",     			  "", 	"lvWebsite", 	"WEB", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("contact@obdscantech.com", 			  "", 	"lvEmail", 		"EMAIL", 		Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("Send Debug Log",          			  "", 	"lvDebugLog", 	"ANDROID_DEBUG_BRIDGE", Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	
	lstAbout.AddTextItem(CRLF & "FOLLOW US", 					  "", 	"", 			"", 			"", 		 Gravity.LEFT + Gravity.BOTTOM, Gravity.LEFT, True, False)
	lstAbout.AddTextItem("Facebook",                			  "", 	"lvFacebook", 	"FACEBOOK", 	Colors.blue, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("Twitter", 				  			  "", 	"lvTwitter", 	"TWITTER", 		Colors.Blue, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("YouTube", 				  			  "", 	"lvYouTube", 	"YOUTUBE_PLAY", Colors.Red,  Gravity.CENTER, Gravity.CENTER, False, False)

	lstAbout.AddTextItem(CRLF & "ABOUT THIS APP", 				  "", 	"", 			"", 			"", 		 Gravity.LEFT + Gravity.BOTTOM, Gravity.LEFT, True, False)
	lstAbout.AddTextItem("How To", 				  				  "", 	"lvHowTo", 		"WEB", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("Changelog", 			  				  "", 	"lvChangeLog", 	"WEB", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)

	lstAbout.AddTextItem("App Mission", 						  "", 	"lvMission", 	"", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("Legal Disclaimer", 					  "", 	"lvDisclaimer", "", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("Privacy Policy", 						  "", 	"lvPrivacy", 	"", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)

	lstAbout.AddTextItem("", "Version " & Application.VersionName,		"", 			"", 			Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)
	lstAbout.AddTextItem("", "Copyright © 2016 OBD Scantech." & Chr(10) & "All rights reserved.", "", "", Colors.Gray, Gravity.CENTER, Gravity.CENTER, False, False)

	
End Sub

Sub lstAbout_ItemClick (Index As Int, Value As Object)
	Select Case Value
		Case "lvPhone":			GetPhoneMsg
		Case "lvWebsite":		StartActivity(p.OpenBrowser("http://www.obdscantech.com"))			'my website for demostration purpose
		Case "lvEmail":			EmailContact
		Case "lvDebugLog":		EmailDebugLog

		Case "lvFacebook":		GetFacebookMsg
		Case "lvTwitter":		StartActivity(p.OpenBrowser("https://www.twitter.com/OBDScantech"))	'my twitter
		Case "lvYouTube":		GetYouTubeMsg
				
		Case "lvHowTo":			StartActivity(p.OpenBrowser("http://www.obdscantech.com/how-to"))
		Case "lvChangeLog":		StartActivity(p.OpenBrowser("http://www.obdscantech.com/change-log"))	
		
		Case "lvMission":		GetAppMissionMsg
		Case "lvDisclaimer": 	GetDisclaimerMsg
		Case "lvPrivacy":		GetPrivacyMsg
	End Select
End Sub
'If Overflow is used
Sub lstAbout_OverFlowMenu_ItemClick (Index As Int, Value As Object)

End Sub

'might want to use Msgbox2 with nice icons
Sub GetDisclaimerMsg
	Msgbox("Add message here", "Legal Disclaimer")	
End Sub
Sub GetPrivacyMsg
	Msgbox("Add message here", "Privacy Policy")
End Sub
Sub GetFacebookMsg
	Msgbox("I don't have one!", "Facebook")
End Sub
Sub GetAppMissionMsg
	Msgbox("Add message here", "App Mission")	
End Sub
Sub GetPhoneMsg
	Msgbox("Add codes to use phone", "Phone")
	'StartActivity(ph.Call("1-800-Number"))		
End Sub
Sub GetYouTubeMsg
	Msgbox("I don't have one!", "YouTube")	
End Sub

Sub EmailDebugLog
	Try
		Dim e As Email
		
		e.Subject = "Debug log from app name"
		e.Body = "See attached files"
		e.To.Add("youremail@mail.com")
		
		'Add codes to attach files.  use e.attachments
		
		StartActivity(e.GetIntent)
	Catch
		Msgbox(LastException.Message, "Error with Debug Log")
	End Try	
End Sub
Sub EmailContact
	Try
		Dim e As Email
		
		e.Subject = ""
		e.Body = ""
		e.To.Add("youremail@mail.com")
		
		StartActivity(e.GetIntent)
	Catch
		Msgbox(LastException.Message, "Error with Contact Email")
	End Try	
End Sub

